GIMP Widgets Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GimpPickButton

## Name

GimpPickButton --

## Synopsis

    struct      GimpPickButton;
    GtkWidget*  gimp_pick_button_new            (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkButton
                                     +----GimpPickButton

## Signal Prototypes

    "color-picked"
                void        user_function      (GimpPickButton *gimppickbutton,
                                                gpointer arg1,
                                                gpointer user_data);

## Description

## Details

### struct GimpPickButton

    struct GimpPickButton;

### gimp_pick_button_new ()

    GtkWidget*  gimp_pick_button_new            (void);

Returns : |

## Signals

### The "color-picked" signal

    void        user_function                  (GimpPickButton *gimppickbutton,
                                                gpointer arg1,
                                                gpointer user_data);

`gimppickbutton` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

<<< Previous Page | Home | Up | Next Page >>>
GimpPathEditor | GimpPixmap